Generate a sequence using AI based on a goal.
curl --request POST \
--url https://api.parallellabs.app/api/v0/sequences/generate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"goal": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/sequences/generate"
payload = { "goal": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({goal: '<string>'})
};
fetch('https://api.parallellabs.app/api/v0/sequences/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sequence": {
"created": "<string>",
"description": "<string>",
"id": "<string>",
"includeUnsubscribeText": true,
"memberCount": 123,
"name": "<string>",
"status": "<string>",
"steps": [
{
"abTestEnabled": true,
"abTestName": "<string>",
"actionParameters": {},
"actionType": "<string>",
"aiPersonalized": true,
"aiPersonalizedInstructions": "<string>",
"autoAgentParameters": {
"abilities": [
"<string>"
],
"agentId": "<string>",
"autoAgentChannel": "<string>",
"goal": "<string>",
"maxResponseDelayMinutes": 123,
"maxSteps": 123,
"minResponseDelayMinutes": 123,
"useSenderProfileAgent": true
},
"content": "<string>",
"created_date": "<string>",
"daysAfterPrevious": 123,
"id": "<string>",
"order": 123,
"platform": "<string>",
"schedulingIntegrationId": "<string>",
"senderProfile": "<string>",
"sequenceId": "<string>",
"stepName": "<string>",
"subject": "<string>",
"trackCalendarBooking": true,
"updated_date": "<string>",
"variants": [
{}
]
}
],
"unsubscribeText": "<string>",
"updated": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Sequences
Generate a sequence using AI based on a goal.
POST
/
api
/
v0
/
sequences
/
generate
Generate a sequence using AI based on a goal.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
application/json
Generation goal
Request body for AI-generated sequence
Goal/objective for the sequence
Response
Generated sequence
Sequence response
Sequence object
Show child attributes
Show child attributes
Rerun an execution - reset its status and optionally regenerate content.Get hourly execution metrics for all sequences in a company.
⌘I

